Package org.apache.sling.event.impl.jobs

# Interface JobTopicTraverser.ResourceCallback

Enclosing class:
  `JobTopicTraverser`

public static interface JobTopicTraverser.ResourceCallback
Callback called for each found resource.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`handle(org.apache.sling.api.resource.Resource rsrc)`
Callback handle for a resource.

## Method Details

### handle

boolean handle(org.apache.sling.api.resource.Resource rsrc)
Callback handle for a resource. The callback is called in sorted order on a minute base, all resources within a minute are not necessarily called in correct time order! If the callback signals to stop traversing, the traversal is stopped immediately.

Parameters:
  `rsrc` - The resource to handle
Returns:
  `true` If processing should continue, `false` otherwise.